<html>
<head>
<title>OgreMaterialSerializer.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a> &#124;
<a href="#typedef-members">Typedefs</a> &#124;
<a href="#enum-members">Enumerations</a>  </div>
  <div class="headertitle">
<div class="title">OgreMaterialSerializer.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreMaterial_8h_source.html">OgreMaterial.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreBlendMode_8h_source.html">OgreBlendMode.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreTextureUnitState_8h_source.html">OgreTextureUnitState.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreGpuProgram_8h_source.html">OgreGpuProgram.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringVector_8h_source.html">OgreStringVector.h</a>&quot;</code><br/>
</div>
<p><a href="OgreMaterialSerializer_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptProgramDefinition.html">Ogre::MaterialScriptProgramDefinition</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for holding a program definition which is in progress.  <a href="structOgre_1_1MaterialScriptProgramDefinition.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="structOgre_1_1MaterialScriptContext.html">Ogre::MaterialScriptContext</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Struct for holding the script context while parsing.  <a href="structOgre_1_1MaterialScriptContext.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer.html">Ogre::MaterialSerializer</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class for serializing Materials to / from a .material script.  <a href="classOgre_1_1MaterialSerializer.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1MaterialSerializer_1_1Listener.html">Ogre::MaterialSerializer::Listener</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Class that allows listening in on the various stages of material serialization process.  <a href="classOgre_1_1MaterialSerializer_1_1Listener.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td colspan="2"><h2><a name="typedef-members"></a>
Typedefs</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">typedef bool(*&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga315137b78f2d739ab0e41e07b1fcf51d">Ogre::ATTRIBUTE_PARSER</a> )(String &amp;params, MaterialScriptContext &amp;context)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Function def for material attribute parser; return value determines if the next line should be {.  <a href="group__Materials.html#ga315137b78f2d739ab0e41e07b1fcf51d"></a><br/></td></tr>
<tr><td colspan="2"><h2><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">Ogre::MaterialScriptSection</a> { <br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676caa8ecf2298f0401fa132fbe09d7306e22">Ogre::MSS_NONE</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca03535ff3b3deaf08ce6e4cf28f247396">Ogre::MSS_MATERIAL</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca75dcdf27cd2c26a79997de2e6670f4a1">Ogre::MSS_TECHNIQUE</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca4dbef3e527e942ad0fdf8790ff79ca91">Ogre::MSS_PASS</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676caf7bf31ae13f2c3b042d78aa28626b1e5">Ogre::MSS_TEXTUREUNIT</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676cac22fc0112f378c4652e0335c5369a501">Ogre::MSS_PROGRAM_REF</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca1482036b89dfe855d5722f4280bb9136">Ogre::MSS_PROGRAM</a>, 
<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676ca485e4dd851bfd5d5db3ca78b4a031d44">Ogre::MSS_DEFAULT_PARAMETERS</a>, 
<br/>
&#160;&#160;<a class="el" href="group__Materials.html#gga83c5c9e6cd44a657c97dd7494800676cadd3efa1f0af549e1fbe112beb544bf69">Ogre::MSS_TEXTURESOURCE</a>
<br/>
 }</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Enum to identify material sections.  <a href="group__Materials.html#ga83c5c9e6cd44a657c97dd7494800676c">More...</a><br/></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
